$(document).ready(function() {

	if( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {
		$('#volume%id%').attr('style', 'display: none !important');
	}

	%[if %("%id=pauseon_outsideclick%" == "true")% ]%
	// Pause the AudioPlayer stack by clicking anywhere outside of itself
	$(document).mouseup(function (e) {
		var container = $("#audioPlayerContainer%id%");
		if (!container.is(e.target) // if the target of the click isn't the container...
		&& container.has(e.target).length === 0) // ... nor a descendant of the container
		{
			audio.pause();
			playButton.innerHTML = "<i class='fa fa-play'></i>";
		}
	});
	%[endif]%

	%[if %("%id=pauseon_outsideclick%" == "false")% ]%
	// Pause the AudioPlayer stack by clicking on another AudioPlayer stack
	$('.audioPlayerContainer').click(function () {
		$(".audioPlayerContainer audio").on("play", function(){
			var _this = $(this);
			$(".audioPlayerContainer audio").each(function(i,el){
				if(!$(el).is(_this))
				$(el).get(0).pause();
				$('#audioPlayerContainer%id%').addClass('audioPlayerPaused');
			});
		});
	});
	%[endif]%

	// Variables
	var audio = document.getElementById("audioPlayer%id%");
	var playButton = document.getElementById("audioPlayerPlayPause%id%");
	var muteButton = document.getElementById("volumeMin%id%");
	var fullVolumeButton = document.getElementById("volumeMax%id%");
	var textduration = document.getElementById("audioPlayerDuration%id%");
	var textcurrenttime = document.getElementById("audioPlayerCurrentTime%id%");
	var seekBar = document.getElementById("audioPlayerSeekBar%id%");
	var volumeBar = document.getElementById("volume-bar%id%");

	// Check audio is available, before constructing the player
	if (audio) {

		// Event listener for the play/pause button
		playButton.addEventListener("click", function() {
			if (audio.paused == true) {
				audio.volume = %id=default_volume%;
				audio.play();
				playButton.innerHTML = "<i class='fa fa-pause'></i>";
				$('#audioPlayerContainer%id%').addClass('audioPlayerPlaying');
				$('#audioPlayerContainer%id%').removeClass('audioPlayerPaused');
			} else {
				audio.pause();
				playButton.innerHTML = "<i class='fa fa-play'></i>";
				$('#audioPlayerContainer%id%').addClass('audioPlayerPaused');
				$('#audioPlayerContainer%id%').removeClass('audioPlayerPlaying');
			}
		});

		// Event listener for the seek bar
		seekBar.addEventListener("change", function() {
			var time = audio.duration * (seekBar.value / 100); // Calculate the new time
			audio.currentTime = time; // Update the audio time
		});

		// Update the seek bar as the audio plays
		audio.addEventListener("timeupdate", function() {
			var value = (100 / audio.duration) * audio.currentTime; // Calculate the slider value
			seekBar.value = value; // Update the slider value
		});

		audio.addEventListener("timeupdate", function(){
		    var whereYouAt = (audio.currentTime);
		    var minutes = Math.floor(whereYouAt / 60);
		    var seconds = Math.floor(whereYouAt - minutes * 60)
		    var x = minutes < 10 ? "0" + minutes : minutes;
		    var y = seconds < 10 ? "0" + seconds : seconds;

		    document.getElementById("audioPlayerCurrentTime%id%").innerHTML = x + ":" + y;
		},
		false);

		// audio duration
		audio.addEventListener("loadedmetadata", function(){
		    var totaltime = (audio.duration);
		    var minutes = Math.floor(totaltime / 60);
		    var seconds = Math.floor(totaltime - minutes * 60)
		    var x = minutes < 10 ? "0" + minutes : minutes;
		    var y = seconds < 10 ? "0" + seconds : seconds;

		    document.getElementById("audioPlayerDuration%id%").innerHTML = x + ":" + y;
		},
		false);

		// Event listener for the volume bar
		volumeBar.addEventListener("change", function() {
			audio.volume = volumeBar.value;
		});

		// Event listener for the mute button
		muteButton.addEventListener("click", function() {
			audio.volume = 0;
			volumeBar.value = 0;
		});

		// Event listener for the full volume button
		fullVolumeButton.addEventListener("click", function() {
			audio.volume = 1.00;
			volumeBar.value = 1.00;
		});

		// When the audio stops playing
		audio.addEventListener("ended", function() {
		    audio.currentTime = 0;
		    playButton.innerHTML = "<i class='fa fa-play'></i>";
		});

	};
});
